--- old/usr/src/uts/i86pc/apix/Makefile	Thu Jan 17 14:22:52 2019
+++ new/usr/src/uts/i86pc/apix/Makefile	Thu Jan 17 14:22:52 2019
@@ -22,7 +22,7 @@
 # uts/i86pc/apix/Makefile
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
-# Copyright (c) 2018, Joyent, Inc.
+# Copyright (c) 2019, Joyent, Inc.
 #
 #	This makefile drives the production of the apix "mach"
 #	kernel module.
@@ -63,8 +63,6 @@
 #
 LDFLAGS		+= -dy -N misc/acpica
 
-# needs work, real bug in apic_allocate_irq()
-$(OBJS_DIR)/mp_platform_common.o := SMOFF += indenting
 # needs work
 $(OBJS_DIR)/psm_common.o := SMOFF += deref_check
 
--- old/usr/src/uts/i86pc/io/mp_platform_common.c	Thu Jan 17 14:22:52 2019
+++ new/usr/src/uts/i86pc/io/mp_platform_common.c	Thu Jan 17 14:22:52 2019
@@ -22,7 +22,7 @@
  * Copyright (c) 2007, 2010, Oracle and/or its affiliates. All rights reserved.
  * Copyright 2016 Nexenta Systems, Inc.
  * Copyright (c) 2017 by Delphix. All rights reserved.
- * Copyright (c) 2018, Joyent, Inc.
+ * Copyright (c) 2019, Joyent, Inc.
  */
 /*
  * Copyright (c) 2010, Intel Corporation.
@@ -1604,7 +1604,7 @@
 {
 	int	freeirq, i;
 
-	if ((freeirq = apic_find_free_irq(irq, (APIC_RESV_IRQ - 1))) == -1)
+	if ((freeirq = apic_find_free_irq(irq, (APIC_RESV_IRQ - 1))) == -1) {
 		if ((freeirq = apic_find_free_irq(APIC_FIRST_FREE_IRQ,
 		    (irq - 1))) == -1) {
 			/*
@@ -1616,16 +1616,19 @@
 				if ((apic_irq_table[i] == NULL) ||
 				    apic_irq_table[i]->airq_mps_intr_index ==
 				    FREE_INDEX) {
-				freeirq = i;
-				break;
+					freeirq = i;
+					break;
+				}
 			}
+
+			if (freeirq == -1) {
+				/* This shouldn't happen, but just in case */
+				cmn_err(CE_WARN, "%s: NO available IRQ", psm_name);
+				return (-1);
+			}
 		}
-		if (freeirq == -1) {
-			/* This shouldn't happen, but just in case */
-			cmn_err(CE_WARN, "%s: NO available IRQ", psm_name);
-			return (-1);
-		}
 	}
+
 	if (apic_irq_table[freeirq] == NULL) {
 		apic_irq_table[freeirq] =
 		    kmem_zalloc(sizeof (apic_irq_t), KM_NOSLEEP);
--- old/usr/src/uts/i86pc/pcplusmp/Makefile	Thu Jan 17 14:22:53 2019
+++ new/usr/src/uts/i86pc/pcplusmp/Makefile	Thu Jan 17 14:22:53 2019
@@ -24,7 +24,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Copyright (c) 2018, Joyent, Inc.
+# Copyright (c) 2019, Joyent, Inc.
 #
 
 #
@@ -68,8 +68,6 @@
 LDFLAGS		+= -dy -N misc/acpica
 
 # needs work
-$(OBJS_DIR)/mp_platform_common.o := SMOFF += indenting
-# needs work
 $(OBJS_DIR)/psm_common.o := SMOFF += deref_check
 
 #
